unit RThread;

interface

uses
  Classes, ActiveX;

type

  TOnResumeReport = procedure of object;

  TRThread = class(TThread)
  private
    FOnExecute: TOnResumeReport;
  protected
    procedure Execute; override;
  public
    property OnExecute: TOnResumeReport read FOnExecute write FOnExecute;
  end;

implementation

{ TRThread }

procedure TRThread.Execute;
begin
  try
    CoInitialize(nil);
    if Assigned(OnExecute) then OnExecute;
  finally
    CoUninitialize;
  end;
end;

end.
