unit SEditProp;

interface

uses SysUtils, Classes, Graphics, Controls, Forms, TypInfo, Dialogs, Dsgnintf;

type

	TEdOpenBlank = class(TStringProperty)	//TPropertyEditor
   public
		{ Public declaration }
       procedure Edit; override;
       function GetAttributes: TPropertyAttributes; override;
   end;

	TEdSaveBlank = class(TStringProperty)	//TPropertyEditor
   public
		{ Public declaration }
       procedure Edit; override;
       function GetAttributes: TPropertyAttributes; override;
   end;

implementation

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
procedure TEdOpenBlank.Edit;
var
	oFF: TOpenDialog;
begin
	oFF := TOpenDialog.Create(Application);
   oFF.FileName := GetValue;
   oFF.Filter := 'All files (*.*)|*.*| RTF files (*.rtf)|*.RTF|Text files (*.txt)|*.TXT| HTML files (*.html)|*.HTML| HTML files (*.htm)|*.HTM| SYLK files (*.slk)|*.SLK| Excel files (*.xls)|*.XLS';
   oFF.Options := [ofFileMustExist, ofHideReadOnly];
   if oFF.Execute then Value := oFF.FileName;
end;

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
function TEdOpenBlank.GetAttributes: TPropertyAttributes;
begin
	Result := [paDialog];
end;

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
procedure TEdSaveBlank.Edit;
var
	oFF: TSaveDialog;
begin
	oFF := TSaveDialog.Create(Application);
   oFF.FileName := GetValue;
   oFF.Filter := 'All files (*.*)|*.*| RTF files (*.rtf)|*.RTF|Text files (*.txt)|*.TXT| HTML files (*.html)|*.HTML| HTML files (*.htm)|*.HTM| SYLK files (*.slk)|*.SLK| Excel files (*.xls)|*.XLS';
   if oFF.Execute then Value := oFF.FileName;
end;

//++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
function TEdSaveBlank.GetAttributes: TPropertyAttributes;
begin
	Result := [paDialog];
end;

end.
