unit CommonType;

interface

uses
	Windows, Messages;

const

 FILE_BUFFER											                              =   262144;
 MAX_LABEL_NAME_LEGTH                                           =   80;
 PATH_LANGTH										                                =		2048;
 MAX_CHAR_DATA                                                  =   8192;
 THREADSTACK                                                    =   8192;
 MAX_SECTION_NUM                                                =   128;

 REQUEST_DATA_BY_NUM_SYMBOL     =     $26 ;{*&*}
 REQUEST_DATA_BY_NAME_SYMBOL    =     $7E ;{*~*}

 RTF_SECTION_BEGIN_BREAKED                                      =   $7B;  // {
 RTF_SECTION_END_BREAKED                                        =   $7D;  // }

 WM_REP_START_REPORT                                            =    WM_USER+100      ;
 WM_REP_END_REPORT                                              =    WM_USER+101      ;

//Describe errors
 WM_REP_THREAD_ERROR                                            =    WM_USER+102      ;
 WM_REP_OPEN_ERROR										                          =    WM_USER+103      ;
 WM_REP_CREATE_ERROR									                          =    WM_USER+104      ;
 WM_REP_MEM_ERROR										                            =    WM_USER+105      ;
  MEM_ERROR_SO_MUCH_THREADS 					                          =      0              ;
  MEM_ERROR_INPUT_BUFFER								                        =      1              ;
  MEM_ERROR_INPUT_BUFFER_LOCK					                          =      2              ;
  MEM_ERROR_OUTPUT_BUFFER							                          =      3              ;
  MEM_ERROR_OUTPUT_BUFFER_LOCK					                        =      4              ;
 WM_REP_READ_ERROR										                          =    WM_USER+106      ;
  READ_ERROR													                          =      0              ;
  READ_ERROR_ZERO											                          =      1              ;
 WM_REP_SECTION_ERROR								                            =    WM_USER+107      ;
 SECTION_ERROR_NOT_BEGIN_QREPORT                                =       38            ;
 SECTION_ERROR_NOT_END_QREPORT                                  =       39            ;
 SECTION_ERROR_END_QREPORT_WITHOUT_RIGHT_RTF_TAG                =       40            ;
 SECTION_ERROR_END_QREPORT_WITHOUT_LEFT_RTF_TAG                 =       41            ;
 SECTION_ERROR_BEGIN_QREPORT_WITHOUT_RIGHT_RTF_TAG              =       42            ;
 SECTION_ERROR_BEGIN_QREPORT_WITHOUT_LEFT_RTF_TAG               =       43            ;
 SECTION_ERROR_BEGIN_QREPORT_AFTER_END_QREPORT                  =       44            ;

  NEW_SECTION_ERROR_START                                        =      100           ;
  SECTION_ERROR_NUMS                                             =      9             ;

//HEADER
  SECTION_ERROR_BEGIN_REPORT_HEADER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG  =   NEW_SECTION_ERROR_START + 0  ;
  SECTION_ERROR_BEGIN_REPORT_HEADER_WITHOUT_LEFT_RTF_TAG            =   NEW_SECTION_ERROR_START + 1  ;
  SECTION_ERROR_BEGIN_REPORT_HEADER_WITHOUT_RIGHT_RTF_TAG           =   NEW_SECTION_ERROR_START + 2  ;
  SECTION_ERROR_END_REPORT_HEADER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG    =   NEW_SECTION_ERROR_START + 3  ;
  SECTION_ERROR_END_REPORT_HEADER_WITHOUT_LEFT_RTF_TAG              =   NEW_SECTION_ERROR_START + 4  ;
  SECTION_ERROR_END_REPORT_HEADER_WITHOUT_RIGHT_RTF_TAG             =   NEW_SECTION_ERROR_START + 5  ;
  SECTION_ERROR_BEGIN_REPORT_HEADER_WITHOUT_END_REPORT_HEADER       =   NEW_SECTION_ERROR_START + 6  ;
  SECTION_ERROR_END_REPORT_HEADER_WITHOUT_BEGIN_REPORT_HEADER       =   NEW_SECTION_ERROR_START + 7  ;
  SECTION_ERROR_END_REPORT_HEADER_BEFORE_BEGIN_REPORT_HEADER        =   NEW_SECTION_ERROR_START + 8  ;

//GROUP_HEADER
  SECTION_ERROR_BEGIN_GROUP_HEADER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG   =   NEW_SECTION_ERROR_START + 9   ;
  SECTION_ERROR_BEGIN_GROUP_HEADER_WITHOUT_LEFT_RTF_TAG             =   NEW_SECTION_ERROR_START + 10  ;
  SECTION_ERROR_BEGIN_GROUP_HEADER_WITHOUT_RIGHT_RTF_TAG            =   NEW_SECTION_ERROR_START + 11  ;
  SECTION_ERROR_END_GROUP_HEADER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG     =   NEW_SECTION_ERROR_START + 12  ;
  SECTION_ERROR_END_GROUP_HEADER_WITHOUT_LEFT_RTF_TAG               =   NEW_SECTION_ERROR_START + 13  ;
  SECTION_ERROR_END_GROUP_HEADER_WITHOUT_RIGHT_RTF_TAG              =   NEW_SECTION_ERROR_START + 14  ;
  SECTION_ERROR_BEGIN_GROUP_HEADER_WITHOUT_END_GROUP_HEADER         =   NEW_SECTION_ERROR_START + 15  ;
  SECTION_ERROR_END_GROUP_HEADER_WITHOUT_BEGIN_GROUP_HEADER         =   NEW_SECTION_ERROR_START + 16  ;
  SECTION_ERROR_END_GROUP_HEADER_BEFORE_BEGIN_GROUP_HEADER          =   NEW_SECTION_ERROR_START + 17  ;

//SUBGROUP_HEADER
  SECTION_ERROR_BEGIN_SUBGROUP_HEADER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG  =    NEW_SECTION_ERROR_START + 18  ;
  SECTION_ERROR_BEGIN_SUBGROUP_HEADER_WITHOUT_LEFT_RTF_TAG            =    NEW_SECTION_ERROR_START + 19  ;
  SECTION_ERROR_BEGIN_SUBGROUP_HEADER_WITHOUT_RIGHT_RTF_TAG           =    NEW_SECTION_ERROR_START + 20  ;
  SECTION_ERROR_END_SUBGROUP_HEADER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG    =    NEW_SECTION_ERROR_START + 21  ;
  SECTION_ERROR_END_SUBGROUP_HEADER_WITHOUT_LEFT_RTF_TAG              =    NEW_SECTION_ERROR_START + 22  ;
  SECTION_ERROR_END_SUBGROUP_HEADER_WITHOUT_RIGHT_RTF_TAG             =    NEW_SECTION_ERROR_START + 23  ;
  SECTION_ERROR_BEGIN_SUBGROUP_HEADER_WITHOUT_END_SUBGROUP_HEADER     =    NEW_SECTION_ERROR_START + 24  ;
  SECTION_ERROR_END_SUBGROUP_HEADER_WITHOUT_BEGIN_SUBGROUP_HEADER     =    NEW_SECTION_ERROR_START + 25  ;
  SECTION_ERROR_END_SUBGROUP_HEADER_BEFORE_BEGIN_SUBGROUP_HEADER      =    NEW_SECTION_ERROR_START + 26  ;

//SUBSUBGROUP_HEADER
  SECTION_ERROR_BEGIN_SUBSUBGROUP_HEADER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG     =     NEW_SECTION_ERROR_START + 27  ;
  SECTION_ERROR_BEGIN_SUBSUBGROUP_HEADER_WITHOUT_LEFT_RTF_TAG               =     NEW_SECTION_ERROR_START + 28  ;
  SECTION_ERROR_BEGIN_SUBSUBGROUP_HEADER_WITHOUT_RIGHT_RTF_TAG              =     NEW_SECTION_ERROR_START + 29  ;
  SECTION_ERROR_END_SUBSUBGROUP_HEADER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG       =     NEW_SECTION_ERROR_START + 30  ;
  SECTION_ERROR_END_SUBSUBGROUP_HEADER_WITHOUT_LEFT_RTF_TAG                 =     NEW_SECTION_ERROR_START + 31  ;
  SECTION_ERROR_END_SUBSUBGROUP_HEADER_WITHOUT_RIGHT_RTF_TAG                =     NEW_SECTION_ERROR_START + 32  ;
  SECTION_ERROR_BEGIN_SUBSUBGROUP_HEADER_WITHOUT_END_SUBSUBGROUP_HEADER     =     NEW_SECTION_ERROR_START + 33  ;
  SECTION_ERROR_END_SUBSUBGROUP_HEADER_WITHOUT_BEGIN_SUBSUBGROUP_HEADER     =     NEW_SECTION_ERROR_START + 34  ;
  SECTION_ERROR_END_SUBSUBGROUP_HEADER_BEFORE_BEGIN_SUBSUBGROUP_HEADER      =     NEW_SECTION_ERROR_START + 35  ;

//SUPERSUBGROUP_HEADER
  SECTION_ERROR_BEGIN_SUPERSUBGROUP_HEADER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG     =     NEW_SECTION_ERROR_START + 36;
  SECTION_ERROR_BEGIN_SUPERSUBGROUP_HEADER_WITHOUT_LEFT_RTF_TAG               =     NEW_SECTION_ERROR_START + 37;
  SECTION_ERROR_BEGIN_SUPERSUBGROUP_HEADER_WITHOUT_RIGHT_RTF_TAG              =     NEW_SECTION_ERROR_START + 38;
  SECTION_ERROR_END_SUPERSUBGROUP_HEADER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG       =     NEW_SECTION_ERROR_START + 39;
  SECTION_ERROR_END_SUPERSUBGROUP_HEADER_WITHOUT_LEFT_RTF_TAG                 =     NEW_SECTION_ERROR_START + 40;
  SECTION_ERROR_END_SUPERSUBGROUP_HEADER_WITHOUT_RIGHT_RTF_TAG                =     NEW_SECTION_ERROR_START + 41;
  SECTION_ERROR_BEGIN_SUPERSUBGROUP_HEADER_WITHOUT_END_SUBSUBGROUP_HEADER     =     NEW_SECTION_ERROR_START + 42;
  SECTION_ERROR_END_SUPERSUBGROUP_HEADER_WITHOUT_BEGIN_SUBSUBGROUP_HEADER     =     NEW_SECTION_ERROR_START + 43;
  SECTION_ERROR_END_SUPERSUBGROUP_HEADER_BEFORE_BEGIN_SUBSUBGROUP_HEADER      =     NEW_SECTION_ERROR_START + 44;

//BODY
  SECTION_ERROR_BEGIN_BODY_WITHOUT_LEFT_AND_RIGHT_RTF_TAG      =    NEW_SECTION_ERROR_START + 45   ;
  SECTION_ERROR_BEGIN_BODY_WITHOUT_LEFT_RTF_TAG                =    NEW_SECTION_ERROR_START + 46   ;
  SECTION_ERROR_BEGIN_BODY_WITHOUT_RIGHT_RTF_TAG               =    NEW_SECTION_ERROR_START + 47   ;
  SECTION_ERROR_END_BODY_WITHOUT_LEFT_AND_RIGHT_RTF_TAG        =    NEW_SECTION_ERROR_START + 48   ;
  SECTION_ERROR_END_BODY_WITHOUT_LEFT_RTF_TAG                  =    NEW_SECTION_ERROR_START + 49   ;
  SECTION_ERROR_END_BODY_WITHOUT_RIGHT_RTF_TAG                 =    NEW_SECTION_ERROR_START + 50   ;
  SECTION_ERROR_BEGIN_BODY_WITHOUT_END_BODY                    =    NEW_SECTION_ERROR_START + 51   ;
  SECTION_ERROR_END_BODY_WITHOUT_BEGIN_BODY                    =    NEW_SECTION_ERROR_START + 52   ;
  SECTION_ERROR_END_BODY_BEFORE_BEGIN_BODY                     =    NEW_SECTION_ERROR_START + 53   ;

//SUPERSUBGROUP_FOOTER
  SECTION_ERROR_BEGIN_SUPERSUBGROUP_FOOTER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG      =    NEW_SECTION_ERROR_START + 54;
  SECTION_ERROR_BEGIN_SUPERSUBGROUP_FOOTER_WITHOUT_LEFT_RTF_TAG                =    NEW_SECTION_ERROR_START + 55;
  SECTION_ERROR_BEGIN_SUPERSUBGROUP_FOOTER_WITHOUT_RIGHT_RTF_TAG               =    NEW_SECTION_ERROR_START + 56;
  SECTION_ERROR_END_SUPERSUBGROUP_FOOTER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG        =    NEW_SECTION_ERROR_START + 57;
  SECTION_ERROR_END_SUPERSUBGROUP_FOOTER_WITHOUT_LEFT_RTF_TAG                  =    NEW_SECTION_ERROR_START + 58;
  SECTION_ERROR_END_SUPERSUBGROUP_FOOTER_WITHOUT_RIGHT_RTF_TAG                 =    NEW_SECTION_ERROR_START + 59;
  SECTION_ERROR_BEGIN_SUPERSUBGROUP_FOOTER_WITHOUT_END_SUBSUBGROUP_HEADER      =    NEW_SECTION_ERROR_START + 60;
  SECTION_ERROR_END_SUPERSUBGROUP_FOOTER_WITHOUT_BEGIN_SUBSUBGROUP_HEADER      =    NEW_SECTION_ERROR_START + 61;
  SECTION_ERROR_END_SUPERSUBGROUP_FOOTER_BEFORE_BEGIN_SUBSUBGROUP_HEADER       =    NEW_SECTION_ERROR_START + 62;

//SUBSUBGROUP_FOOTER
  SECTION_ERROR_BEGIN_SUBSUBGROUP_FOOTER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG     =     NEW_SECTION_ERROR_START + 63  ;
  SECTION_ERROR_BEGIN_SUBSUBGROUP_FOOTER_WITHOUT_LEFT_RTF_TAG               =     NEW_SECTION_ERROR_START + 64  ;
  SECTION_ERROR_BEGIN_SUBSUBGROUP_FOOTER_WITHOUT_RIGHT_RTF_TAG              =     NEW_SECTION_ERROR_START + 65  ;
  SECTION_ERROR_END_SUBSUBGROUP_FOOTER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG       =     NEW_SECTION_ERROR_START + 66  ;
  SECTION_ERROR_END_SUBSUBGROUP_FOOTER_WITHOUT_LEFT_RTF_TAG                 =     NEW_SECTION_ERROR_START + 67  ;
  SECTION_ERROR_END_SUBSUBGROUP_FOOTER_WITHOUT_RIGHT_RTF_TAG                =     NEW_SECTION_ERROR_START + 68  ;
  SECTION_ERROR_BEGIN_SUBSUBGROUP_FOOTER_WITHOUT_END_SUBSUBGROUP_FOOTER     =     NEW_SECTION_ERROR_START + 69  ;
  SECTION_ERROR_END_SUBSUBGROUP_FOOTER_WITHOUT_BEGIN_SUBSUBGROUP_FOOTER     =     NEW_SECTION_ERROR_START + 70  ;
  SECTION_ERROR_END_SUBSUBGROUP_FOOTER_BEFORE_BEGIN_SUBSUBGROUP_FOOTER      =     NEW_SECTION_ERROR_START + 71  ;

//SUBGROUP_FOOTER
  SECTION_ERROR_BEGIN_SUBGROUP_FOOTER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG     =    NEW_SECTION_ERROR_START +  72   ;
  SECTION_ERROR_BEGIN_SUBGROUP_FOOTER_WITHOUT_LEFT_RTF_TAG               =    NEW_SECTION_ERROR_START +  73   ;
  SECTION_ERROR_BEGIN_SUBGROUP_FOOTER_WITHOUT_RIGHT_RTF_TAG              =    NEW_SECTION_ERROR_START +  74   ;
  SECTION_ERROR_END_SUBGROUP_FOOTER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG       =    NEW_SECTION_ERROR_START +  75   ;
  SECTION_ERROR_END_SUBGROUP_FOOTER_WITHOUT_LEFT_RTF_TAG                 =    NEW_SECTION_ERROR_START +  76   ;
  SECTION_ERROR_END_SUBGROUP_FOOTER_WITHOUT_RIGHT_RTF_TAG                =    NEW_SECTION_ERROR_START +  77   ;
  SECTION_ERROR_BEGIN_SUBGROUP_FOOTER_WITHOUT_END_SUBGROUP_FOOTER        =    NEW_SECTION_ERROR_START +  78   ;
  SECTION_ERROR_END_SUBGROUP_FOOTER_WITHOUT_BEGIN_SUBGROUP_FOOTER        =    NEW_SECTION_ERROR_START +  79   ;
  SECTION_ERROR_END_SUBGROUP_FOOTER_BEFORE_BEGIN_SUBGROUP_FOOTER         =    NEW_SECTION_ERROR_START +  80   ;

//GROUP_FOOTER
  SECTION_ERROR_BEGIN_GROUP_FOOTER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG        =  NEW_SECTION_ERROR_START +  81    ;
  SECTION_ERROR_BEGIN_GROUP_FOOTER_WITHOUT_LEFT_RTF_TAG                  =  NEW_SECTION_ERROR_START +  82    ;
  SECTION_ERROR_BEGIN_GROUP_FOOTER_WITHOUT_RIGHT_RTF_TAG                 =  NEW_SECTION_ERROR_START +  83    ;
  SECTION_ERROR_END_GROUP_FOOTER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG          =  NEW_SECTION_ERROR_START +  84    ;
  SECTION_ERROR_END_GROUP_FOOTER_WITHOUT_LEFT_RTF_TAG                    =  NEW_SECTION_ERROR_START +  85    ;
  SECTION_ERROR_END_GROUP_FOOTER_WITHOUT_RIGHT_RTF_TAG                   =  NEW_SECTION_ERROR_START +  86    ;
  SECTION_ERROR_BEGIN_GROUP_FOOTER_WITHOUT_END_GROUP_FOOTER              =  NEW_SECTION_ERROR_START +  87    ;
  SECTION_ERROR_END_GROUP_FOOTER_WITHOUT_BEGIN_GROUP_FOOTER              =  NEW_SECTION_ERROR_START +  88    ;
  SECTION_ERROR_END_GROUP_FOOTER_BEFORE_BEGIN_GROUP_FOOTER               =  NEW_SECTION_ERROR_START +  89    ;

//FOOTER
  SECTION_ERROR_BEGIN_REPORT_FOOTER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG       =   NEW_SECTION_ERROR_START +  90  ;
  SECTION_ERROR_BEGIN_REPORT_FOOTER_WITHOUT_LEFT_RTF_TAG                 =   NEW_SECTION_ERROR_START +  91  ;
  SECTION_ERROR_BEGIN_REPORT_FOOTER_WITHOUT_RIGHT_RTF_TAG                =   NEW_SECTION_ERROR_START +  92  ;
  SECTION_ERROR_END_REPORT_FOOTER_WITHOUT_LEFT_AND_RIGHT_RTF_TAG         =   NEW_SECTION_ERROR_START +  93  ;
  SECTION_ERROR_END_REPORT_FOOTER_WITHOUT_LEFT_RTF_TAG                   =   NEW_SECTION_ERROR_START +  94  ;
  SECTION_ERROR_END_REPORT_FOOTER_WITHOUT_RIGHT_RTF_TAG                  =   NEW_SECTION_ERROR_START +  95  ;
  SECTION_ERROR_BEGIN_REPORT_FOOTER_WITHOUT_END_REPORT_FOOTER            =   NEW_SECTION_ERROR_START +  96  ;
  SECTION_ERROR_END_REPORT_FOOTER_WITHOUT_BEGIN_REPORT_FOOTER            =   NEW_SECTION_ERROR_START +  97  ;
  SECTION_ERROR_END_REPORT_FOOTER_BEFORE_BEGIN_REPORT_FOOTER             =   NEW_SECTION_ERROR_START +  98  ;

 WM_REP_WRITE_ERROR											                       =     WM_USER+108              ;
 WM_REP_MAX_DYN_SECTION_EXCEEDED  			                       =     WM_USER+109              ;
 WM_REP_ALLAGIAL_CALL                                          =     WM_USER+110              ;

//end describe errors


 WM_REP_MOVE													                         =     WM_USER+111              ;
  MOVE_TOP						 								                         =       0                      ;
  MOVE_NEXT					 								                           =       1                      ;
  MOVE_PREVIOUS				 								                         =       2                      ;
  MOVE_BOTTOM					 								                         =       3                      ;

 WM_REP_SECTION_PREPARE                                        =     WM_USER + 112              ;

  NEW_SECTION_START                                            =     WM_USER + 200               ;

    FILE_HEADER  		  						                         =     0      ;
    REPORT_HEADER 								                         =     1      ;
    GROUP_HEADER										                       =     2      ;
    SUBGROUP_HEADER									                       =     3      ;
    SUBSUBGROUP_HEADER		  						                   =     4      ;
    SUPERSUBGROUP_HEADER		  						                 =     5      ;
    BODY													                         =     6      ;
    SUPERSUBGROUP_FOOTER		  						                 =     7      ;
    SUBSUBGROUP_FOOTER		  						                   =     8      ;
    SUBGROUP_FOOTER									                       =     9      ;
    GROUP_FOOTER										                       =     10     ;
    REPORT_FOOTER									                         =     11     ;
    FILE_FOOTER  		  						                         =     12     ;

 WM_REP_RTF_HEADER       		  						                     =     NEW_SECTION_START + FILE_HEADER  		  	   ;
 WM_REP_HEADER												                         =     NEW_SECTION_START + REPORT_HEADER 			     ;
 WM_REP_GROUP_HEADER										                       =     NEW_SECTION_START + GROUP_HEADER				     ;
 WM_REP_SUBGROUP_HEADER									                       =     NEW_SECTION_START + SUBGROUP_HEADER			   ;
 WM_REP_SUBSUBGROUP_HEADER		  						                   =     NEW_SECTION_START + SUBSUBGROUP_HEADER	     ;
 WM_REP_SUPERSUBGROUP_HEADER		  						                 =     NEW_SECTION_START + SUPERSUBGROUP_HEADER    ;
 WM_REP_BODY													                         =     NEW_SECTION_START + BODY								     ;
 WM_REP_SUPERSUBGROUP_FOOTER		  						                 =     NEW_SECTION_START + SUPERSUBGROUP_FOOTER    ;
 WM_REP_SUBSUBGROUP_FOOTER		  						                   =     NEW_SECTION_START + SUBSUBGROUP_FOOTER	     ;
 WM_REP_SUBGROUP_FOOTER									                       =     NEW_SECTION_START + SUBGROUP_FOOTER			   ;
 WM_REP_GROUP_FOOTER										                       =     NEW_SECTION_START + GROUP_FOOTER				     ;
 WM_REP_FOOTER												                         =     NEW_SECTION_START + REPORT_FOOTER				   ;
 WM_REP_RTF_FOOTER       		  						                     =     NEW_SECTION_START + FILE_FOOTER  		  	   ;

 SECTION_DATA_REQUEST_BY_NUM				         =                                 0                 ;
 SECTION_DATA_REQUEST_BY_NAME				         =                                 1                 ;
 SECTION_CHECK													     =                                 2                 ;
 SECTION_BEGIN													     =                                 3                 ;
 SECTION_END														     =                                 4                 ;
 SECTION_DATA_REQUEST_BY_VALUE               =                                 5                 ;
 SECTION_DATA_REQUEST_BY_CELL                =                                 6                 ;
 SECTION_COMPLIT                             =                                 7                 ;

//Exception codes
  START_EXCEPTION_CODE                                         =         50000;

  WRITE_EXCEPTION                                              =         START_EXCEPTION_CODE + 1;
  SECTION_EXCEPTION                                            =         START_EXCEPTION_CODE + 2;
  LIMIT_EXCEEDED                                               =         START_EXCEPTION_CODE + 3;
  ALLAGIAL_CALL                                                =         START_EXCEPTION_CODE + 4;

type

  //
  TTtypeDiraction = (tdNotDefined, tdHorizontaly, tdVerticaly);

  //
  TTtypeSylkReport = (tsrHorizontaly, tsrVerticaly, tsrBiDirection);

  //
  CellStruct = packed record
    iRow: integer;
    iCol: integer;
  end;
  pCellStruct = ^CellStruct;

  //
  DataRq = packed record
    iTypeDataRequest:   integer;
    iFieldNum:          integer;
    cFieldName:         array [0..MAX_LABEL_NAME_LEGTH + 1] of char;
    cpValue:            pChar;
    iNumber:            integer;
    CurrCell:           CellStruct;
    BlankCell:          CellStruct;
  end;
  pDataRq = ^DataRq;

  //
  FoundPar = record
    uiP:  Integer;
    uiZ:  Integer;
    bF:   Boolean;
    bFL:  Boolean;
    bFR:  Boolean;
  end;

  //
  Section = record
    Name:           ShortString;
    StartPosition:  Integer;
    Length:         Integer;
    ucUsed:         boolean;
    BeginR:         Integer;
    EndR:           Integer;
  end;

implementation

end.
